D2L Brightspace integration: operations for AI agents
D2L Brightspace connects to Type.com as an integration. This page lists the 870 operations documented for Claude and Codex in Type.com: 464 read, 287 write, 119 destructive.
About D2L Brightspace
D2L Brightspace is a learning management system that provides a comprehensive suite of tools for educators to create, manage, and deliver online courses and learning experiences.
Categories: Education
How to connect D2L Brightspace to Type.com
- Access
- Organization connection: one shared account for the workspace.
To add the connection, follow the steps in Space connections.
Documented operations
870 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
870 operations listed.
- Read
Retrieve associated awards that the calling user may earn and has already earned
Retrieve associated awards that the calling user may earn and has already earned.
GET /d2l/api/bas/{version}/associations/availableToEarn/ - Read
Retrieve awards available across the organization
Retrieve awards available across the organization.
GET /d2l/api/bas/{version}/awards/ - Read
Retrieve a particular award
Retrieve a particular award.
GET /d2l/api/bas/{version}/awards/{awardId} - Read
Retrieve the credit summary for the calling user’s issued awards
Retrieve the credit summary for the calling user’s issued awards.
GET /d2l/api/bas/{version}/creditSummary - Read
Retrieve an Issued Award of type Certificate based on the Certificate Id
Retrieve an Issued Award of type Certificate based on the Certificate Id.
GET /d2l/api/bas/{version}/issued/certificates/{certificateId} - Read
Retrieve a certificate in PDF form
Retrieve a certificate in PDF form.
GET /d2l/api/bas/{version}/issued/certificates/{issuedId}/pdf - Read
Retrieve the awards issued to a user
Retrieve the awards issued to a user.
GET /d2l/api/bas/{version}/issued/users/{userId}/ - Read
Retrieve the icons contained in the library
Retrieve the icons contained in the library.
GET /d2l/api/bas/{version}/library/icons/ - Read
Retrieve named icon from the library
Retrieve named icon from the library.
GET /d2l/api/bas/{version}/library/icons/{fileName} - Read
Retrieve the certificate templates contained in the library
Retrieve the certificate templates contained in the library.
GET /d2l/api/bas/{version}/library/templates/ - Read
Retrieve named certificate template from the library
Retrieve named certificate template from the library.
GET /d2l/api/bas/{version}/library/templates/{fileName} - Read
Retrieve an org unit’s associations
Retrieve an org unit’s associations.
GET /d2l/api/bas/{version}/orgunits/{orgUnitId}/associations/ - Read
Retrieve awards that have been, or could be, associated with an org unit
Retrieve awards that have been, or could be, associated with an org unit.
GET /d2l/api/bas/{version}/orgunits/{orgUnitId}/associations/availableToManage/ - Read
Retrieve an association
Retrieve an association.
GET /d2l/api/bas/{version}/orgunits/{orgUnitId}/associations/{associationId} - Read
Retrieve the users in the classlist who are able to earn awards along with their first ten awards
Retrieve the users in the classlist who are able to earn awards along with their first ten awards.
GET /d2l/api/bas/{version}/orgunits/{orgUnitId}/classlist/ - Read
Retrieve the ten oldest awards for a classlist user
Retrieve the ten oldest awards for a classlist user.
GET /d2l/api/bas/{version}/orgunits/{orgUnitId}/classlist/users/{userId} - Read
Retrieve the user’s current configuration
Retrieve the user’s current configuration.
GET /d2l/api/bas/{version}/orgunits/{orgUnitId}/myConfiguration - Read
Retrieve the awards for a user that the calling user can revoke
Retrieve the awards for a user that the calling user can revoke.
GET /d2l/api/bas/{version}/orgunits/{orgUnitId}/revocableawards/ - Read
Retrieve the issued awards for a specified user that can be revoked by the calling user
Retrieve the issued awards for a specified user that can be revoked by the calling user.
GET /d2l/api/bas/{version}/orgunits/{orgUnitId}/revocableawards/{userId}/ - Read
Retrieve parental relationships for a particular user
Retrieve parental relationships for a particular user.
GET /d2l/api/bfp/{version}/relationships/{userId} - Read
Retrieve a combined list of all activity on EP objects owned by, or shared to, the current user
Retrieve a combined list of all activity on EP objects owned by, or shared to, the current user.
GET /d2l/api/eP/{version}/activity/ - Read
Retrieve a list of all available preset filters
Retrieve a list of all available preset filters.
GET /d2l/api/eP/{version}/activity/filters/ - Read
Retrieve a list of all activity on EP objects owned by the current user
Retrieve a list of all activity on EP objects owned by the current user.
GET /d2l/api/eP/{version}/activity/my/ - Read
Retrieve a particular EP file artifact
Retrieve a particular EP file artifact.
GET /d2l/api/eP/{version}/artifact/file/{objectId} - Read
Retrieve a particular EP link artifact
Retrieve a particular EP link artifact.
GET /d2l/api/eP/{version}/artifact/link/{objectId} - Read
Retrieve a particular EP artifact
Retrieve a particular EP artifact.
GET /d2l/api/eP/{version}/artifact/{objectId} - Read
Retrieve a particular EP collection, without its contents
Retrieve a particular EP collection, without its contents.
GET /d2l/api/eP/{version}/collection/{objectId} - Read
Retrieve a particular EP collection, with its contents
Retrieve a particular EP collection, with its contents.
GET /d2l/api/eP/{version}/collection/{objectId}/contents/ - Read
Retrieve a set of current EP dashboard activity
Retrieve a set of current EP dashboard activity.
GET /d2l/api/eP/{version}/dashboard/ - Read
Retrieve a list of all preset filters available to the dashboard
Retrieve a list of all preset filters available to the dashboard.
GET /d2l/api/eP/{version}/dashboard/filters/ - Read
Retrieve the packaged results of a particular export task
Retrieve the packaged results of a particular export task.
GET /d2l/api/eP/{version}/export/{exportId}/package - Read
Retrieve the status of a particular export task
Retrieve the status of a particular export task.
GET /d2l/api/eP/{version}/export/{exportId}/status - Read
Retrieve all the users on the calling user’s ignored-users list
Retrieve all the users on the calling user’s ignored-users list.
GET /d2l/api/eP/{version}/ignoredusers/ - Read
Retrieve the status of a particular import task
Retrieve the status of a particular import task.
GET /d2l/api/eP/{version}/import/{importId}/status - Read
Retrieve a list of all invites
Retrieve a list of all invites.
GET /d2l/api/eP/{version}/invites/ - Read
Retrieve a learning objective
Retrieve a learning objective.
GET /d2l/api/eP/{version}/learningobjective/{objectiveId} - Read
Input
Input . You can apply more than one preset filter to the request by providing the filter query parameter more than once (specifying each filter by its Id value): &filter="MyItemsNewsfeedFilterProviderPlugin"&filter="SharedItemsNewsfeedFilterProviderPlugin" , and so on. The service will then return only results that fit within your list of filters.
GET /d2l/api/eP/{version}/newsfeed/ - Read
Return
Return . This action returns a JSON array of preset filter data blocks.
GET /d2l/api/eP/{version}/newsfeed/filters/ - Read
Retrieve an EP object using a context chain of object IDs
Retrieve an EP object using a context chain of object IDs.
GET /d2l/api/eP/{version}/object - Read
Retrieve all the comments for an EP object (identified by provided context chain of object IDs)
Retrieve all the comments for an EP object (identified by provided context chain of object IDs).
GET /d2l/api/eP/{version}/object/comments/ - Read
Retrieves the associated resource for an EP object (identified by a provided context chain of object ID)
Retrieves the associated resource for an EP object (identified by a provided context chain of object ID).
GET /d2l/api/eP/{version}/object/content - Read
Retrieves a thumbnail of the associated resource for an EP object (identified by a provided context chain of object IDs)
Retrieves a thumbnail of the associated resource for an EP object (identified by a provided context chain of object IDs).
GET /d2l/api/eP/{version}/object/thumbnail - Read
Retrieve an EP object by ID
Retrieve an EP object by ID.
GET /d2l/api/eP/{version}/object/{objectId} - Read
Retrieve the list of EP objects associated with a particular EP object
Retrieve the list of EP objects associated with a particular EP object.
GET /d2l/api/eP/{version}/object/{objectId}/associations/ - Read
Retrieve all the comments for an EP object (identified by object ID)
Retrieve all the comments for an EP object (identified by object ID).
GET /d2l/api/eP/{version}/object/{objectId}/comments/ - Read
Retrieves the associated resource for an EP object (identified by object ID)
Retrieves the associated resource for an EP object (identified by object ID).
GET /d2l/api/eP/{version}/object/{objectId}/content - Read
Retrieve all the tags associated with an EP object (identified by EP object ID)
Retrieve all the tags associated with an EP object (identified by EP object ID).
GET /d2l/api/eP/{version}/object/{objectId}/tags/ - Read
Retrieve all the EP objects owned by the current user context
Retrieve all the EP objects owned by the current user context.
GET /d2l/api/eP/{version}/objects/my/ - Read
Retrieve all the tags associated with a set of EP objects
Retrieve all the tags associated with a set of EP objects.
GET /d2l/api/eP/{version}/objects/tags/ - Read
Retrieve a filtered list of comments for EP objects
Retrieve a filtered list of comments for EP objects.
GET /d2l/api/eP/{version}/objects/{objectsFilter}/comments/{commentsFilter} - Read
Retrieve a particular presentation
Retrieve a particular presentation.
GET /d2l/api/eP/{version}/presentation/{objectId} - Read
Retrieve a reflection
Retrieve a reflection.
GET /d2l/api/eP/{version}/reflection/{objectId} - Read
Return a list of subscribed-to EP objects for the calling user context
Return a list of subscribed-to EP objects for the calling user context.
GET /d2l/api/eP/{version}/subscriptions/objects/ - Read
Determine if the calling user context already subscribes to a provided EP object ID
Determine if the calling user context already subscribes to a provided EP object ID.
GET /d2l/api/eP/{version}/subscriptions/objects/exists - Read
Return a list of subscribed-to users for the calling user context
Return a list of subscribed-to users for the calling user context.
GET /d2l/api/eP/{version}/subscriptions/users/ - Read
Determine if the calling user context already subscribes to a provided User ID
Determine if the calling user context already subscribes to a provided User ID.
GET /d2l/api/eP/{version}/subscriptions/users/exists - Read
Retrieve all users sharing EP objects to the current user context
Retrieve all users sharing EP objects to the current user context.
GET /d2l/api/eP/{version}/users/sharing/ - Read
Retrieve the user’s accommodations in an org unit
Retrieve the user’s accommodations in an org unit.
GET /d2l/api/le/{version}/accommodations/{orgUnitId}/myaccommodations - Read
Retrieve a user’s accommodations in an org unit
Retrieve a user’s accommodations in an org unit.
GET /d2l/api/le/{version}/accommodations/{orgUnitId}/users/{userId} - Read
Retrieve information for an auditee
Retrieve information for an auditee.
GET /d2l/api/le/{version}/auditing/auditees/{auditeeId} - Read
Retrieve information for an auditor
Retrieve information for an auditor.
GET /d2l/api/le/{version}/auditing/auditors/{auditorId} - Read
Retrieve the list of users an auditor is auditing
Retrieve the list of users an auditor is auditing.
GET /d2l/api/le/{version}/auditing/auditors/{auditorId}/auditees/ - Read
Retrieve the calling user’s calendar events, within a number of org units (see query parameter)
Retrieve the calling user’s calendar events, within a number of org units (see query parameter)
GET /d2l/api/le/{version}/calendar/events/myEvents/ - Read
Retrieve a count of calling user’s calendar events, within a number of org units (see query parameter)
Retrieve a count of calling user’s calendar events, within a number of org units (see query parameter).
GET /d2l/api/le/{version}/calendar/events/myEvents/itemCounts/ - Read
Retrieve the calling user’s calendar events along with their occurrences, within a number of org units (see query parameter)
Retrieve the calling user’s calendar events along with their occurrences, within a number of org units (see query parameter)
GET /d2l/api/le/{version}/calendar/events/myEventsWithOccurrences/ - Read
Retrieve a count of a user’s calendar events from across their active enrolments
Retrieve a count of a user’s calendar events from across their active enrolments.
GET /d2l/api/le/{version}/calendar/events/{userId}/itemCounts - Read
Retrieve the list of logs for course copy jobs
Retrieve the list of logs for course copy jobs.
GET /d2l/api/le/{version}/ccb/logs - Read
Retrieves the count of completed and required content topics for a user in each org unit in the csv
Retrieves the count of completed and required content topics for a user in each org unit in the csv.
GET /d2l/api/le/{version}/content/completions/{userId}/ - Read
Retrieve the scheduled items for a particular user, within a number of org units
Retrieve the scheduled items for a particular user, within a number of org units.
GET /d2l/api/le/{version}/content/items/{userId} - Read
Retrieve the calling user’s scheduled items
Retrieve the calling user’s scheduled items.
GET /d2l/api/le/{version}/content/myItems/ - Read
Retrieve the calling user’s completed scheduled items
Retrieve the calling user’s completed scheduled items.
GET /d2l/api/le/{version}/content/myItems/completions/ - Read
Retrieve the calling user’s completed scheduled items that have a due date
Retrieve the calling user’s completed scheduled items that have a due date.
GET /d2l/api/le/{version}/content/myItems/completions/due/ - Read
Retrieve the calling user’s scheduled items still due
Retrieve the calling user’s scheduled items still due.
GET /d2l/api/le/{version}/content/myItems/due/ - Read
Retrieve the quantities of the calling user’s scheduled items still due
Retrieve the quantities of the calling user’s scheduled items still due.
GET /d2l/api/le/{version}/content/myItems/due/itemCounts/ - Read
Retrieve the quantities of the calling user’s scheduled items, organized by org unit
Retrieve the quantities of the calling user’s scheduled items, organized by org unit.
GET /d2l/api/le/{version}/content/myItems/itemCounts/ - Read
Retrieve a category
Retrieve a category.
GET /d2l/api/le/{version}/cpd/category/{categoryId} - Read
Retrieve a method
Retrieve a method.
GET /d2l/api/le/{version}/cpd/method/{methodId} - Read
Retrieve a question
Retrieve a question.
GET /d2l/api/le/{version}/cpd/question/{questionId} - Read
Retrieve a paged list of CPD records for a user
Retrieve a paged list of CPD records for a user.
GET /d2l/api/le/{version}/cpd/record/user/{userId} - Read
Retrieve a CPD record
Retrieve a CPD record.
GET /d2l/api/le/{version}/cpd/record/{recordId} - Read
Retrieve an attachment from a CPD record
Retrieve an attachment from a CPD record.
GET /d2l/api/le/{version}/cpd/record/{recordId}/attachment/{attachmentId} - Read
Retrieve a user’s overall progress and their current progress for each category
Retrieve a user’s overall progress and their current progress for each category.
GET /d2l/api/le/{version}/cpd/target/progress/user/{userId} - Read
Retrieve a list of org units for which the current user context has an assessment role on their dropbox folders (can see submissions and provide feedback)
Retrieve a list of org units for which the current user context has an assessment role on their dropbox folders (can see submissions and provide feedback).
GET /d2l/api/le/{version}/dropbox/orgUnits/feedback/ - Read
Retrieve all the course completion records for a user
Retrieve all the course completion records for a user.
GET /d2l/api/le/{version}/grades/courseCompletion/{userId}/ - Read
Retrieve a list of final grade values for the current user context across a number of org units
Retrieve a list of final grade values for the current user context across a number of org units.
GET /d2l/api/le/{version}/grades/final/values/myGradeValues/ - Read
Retrieve all the grade values in bulk for a particular user
Retrieve all the grade values in bulk for a particular user.
GET /d2l/api/le/{version}/grades/values/{userId} - Read
Retrieve the status of a queued course copy job request
Retrieve the status of a queued course copy job request.
GET /d2l/api/le/{version}/import/{orgUnitId}/copy/{jobToken} - Read
Retrieve the status of a queued course import job request
Retrieve the status of a queued course import job request.
GET /d2l/api/le/{version}/import/{orgUnitId}/imports/{jobToken} - Read
Retrieve the logs for a course import job
Retrieve the logs for a course import job.
GET /d2l/api/le/{version}/import/{orgUnitid}/imports/{jobToken}/logs/ - Read
Retrieve the org units that contain alignments to a given outcome
Retrieve the org units that contain alignments to a given outcome.
GET /d2l/api/le/{version}/lo/alignments/outcome/{outcomeId} - Read
Retrieve the org units that contain alignments to a given outcome set
Retrieve the org units that contain alignments to a given outcome set.
GET /d2l/api/le/{version}/lo/alignments/outcomeSet/{outcomeSetId} - Read
Retrieve organization level outcome sets in export format
Retrieve organization level outcome sets in export format.
POST /d2l/api/le/{version}/lo/bulkExport - Read
Retrieve all achievement scales defined for the organization
Retrieve all achievement scales defined for the organization.
GET /d2l/api/le/{version}/lo/outcomeScales/ - Read
Retrieve a specific achievement scale
Retrieve a specific achievement scale.
GET /d2l/api/le/{version}/lo/outcomeScales/{scaleId} - Read
Retrieve all organization level outcome sets
Retrieve all organization level outcome sets.
GET /d2l/api/le/{version}/lo/outcomeSets/ - Read
Retrieve a specific organization level outcome set
Retrieve a specific organization level outcome set.
GET /d2l/api/le/{version}/lo/outcomeSets/{outcomeSetId} - Read
Retrieve a specific object from the current user’s locker
Retrieve a specific object from the current user’s locker.
GET /d2l/api/le/{version}/locker/myLocker/{path} - Read
Retrieve a specific object from a provided user’s locker
Retrieve a specific object from a provided user’s locker.
GET /d2l/api/le/{version}/locker/user/{userId}/{path} - Read
Retrieve the information for all LTI links registered for an org unit
Retrieve the information for all LTI links registered for an org unit.
GET /d2l/api/le/{version}/lti/link/{orgUnitId}/ - Read
Retrieve the sharing rules for a particular LTI link
Retrieve the sharing rules for a particular LTI link.
GET /d2l/api/le/{version}/lti/link/{orgUnitId}/{linkId}/sharing/ - Read
Retrieve the information for a particular LTI link
Retrieve the information for a particular LTI link.
GET /d2l/api/le/{version}/lti/link/{orgUnitId}/{ltiLinkId} - Read
Retrieve the information for all LTI tool providers registered for an org unit
Retrieve the information for all LTI tool providers registered for an org unit.
GET /d2l/api/le/{version}/lti/tp/{orgUnitId}/ - Read
Retrieve the information for a particular LTI tool provider
Retrieve the information for a particular LTI tool provider.
GET /d2l/api/le/{version}/lti/tp/{orgUnitId}/{tpId} - Read
Retrieve the sharing rules for a particular LTI tool provider
Retrieve the sharing rules for a particular LTI tool provider.
GET /d2l/api/le/{version}/lti/tp/{orgUnitId}/{tpId}/sharing/ - Read
Retrieve the information for all LTI deployments for the organization
Retrieve the information for all LTI deployments for the organization.
GET /d2l/api/le/{version}/ltiadvantage/deployment/ - Read
Retrieve the information for a particular LTI tool deployment
Retrieve the information for a particular LTI tool deployment.
GET /d2l/api/le/{version}/ltiadvantage/deployment/{deploymentId} - Read
Retrieve all asset processors for a given deployment
Retrieve all asset processors for a given deployment.
GET /d2l/api/le/{version}/ltiadvantage/deployment/{deploymentId}/assetprocessors/ - Read
Retrieve the summaries for all LTI Advantage links for the deployment
Retrieve the summaries for all LTI Advantage links for the deployment.
GET /d2l/api/le/{version}/ltiadvantage/deployment/{deploymentId}/links/summaries/ - Read
Retrieve the sharing rules for a particular LTI deployment
Retrieve the sharing rules for a particular LTI deployment.
GET /d2l/api/le/{version}/ltiadvantage/deployment/{deploymentId}/sharing/ - Read
Retrieve the information for all LTI Advantage links for the organization
Retrieve the information for all LTI Advantage links for the organization.
GET /d2l/api/le/{version}/ltiadvantage/links/organization/ - Read
Retrieve the information for a particular LTI Advantage organization link
Retrieve the information for a particular LTI Advantage organization link.
GET /d2l/api/le/{version}/ltiadvantage/links/organization/{linkId} - Read
Retrieve the information for all LTI Advantage links within the scope of an org unit
Retrieve the information for all LTI Advantage links within the scope of an org unit.
GET /d2l/api/le/{version}/ltiadvantage/links/orgunit/{orgUnitId}/ - Read
Retrieve the information for a particular LTI Advantage link
Retrieve the information for a particular LTI Advantage link.
GET /d2l/api/le/{version}/ltiadvantage/links/orgunit/{orgUnitId}/{linkId} - Read
Retrieve the status of all LTI migration jobs
Retrieve the status of all LTI migration jobs.
GET /d2l/api/le/{version}/ltiadvantage/migration/jobs/ - Read
Retrieve the status of an LTI migration job
Retrieve the status of an LTI migration job.
GET /d2l/api/le/{version}/ltiadvantage/migration/jobs/{jobId} - Read
Retrieve the information for a particular asset processor
Retrieve the information for a particular asset processor.
GET /d2l/api/le/{version}/ltiadvantage/orgunit/{orgUnitId}/assetprocessor/{assetProcessorId} - Read
Retrieve all asset processors for a given deployment
Retrieve all asset processors for a given deployment.
GET /d2l/api/le/{version}/ltiadvantage/orgunit/{orgUnitId}/assetprocessors/ - Read
Retrieve the information for all LTI registrations for the organization
Retrieve the information for all LTI registrations for the organization.
GET /d2l/api/le/{version}/ltiadvantage/registration/ - Read
Retrieve the information for a particular LTI registration
Retrieve the information for a particular LTI registration.
GET /d2l/api/le/{version}/ltiadvantage/registration/{clientId} - Read
Retrieve the domain names for migration-routing in provided LTI tool registration
Retrieve the domain names for migration-routing in provided LTI tool registration.
GET /d2l/api/le/{version}/ltiadvantage/registration/{clientId}/legacydomains/ - Read
Retrieve a list of news items for specific user
Retrieve a list of news items for specific user.
GET /d2l/api/le/{version}/news/user/{userId}/ - Read
Retrieve the overdue items for a particular user in a particular org unit
Retrieve the overdue items for a particular user in a particular org unit.
GET /d2l/api/le/{version}/overdueItems/ - Read
Retrieves the calling user’s overdue items, within a number of org units
Retrieves the calling user’s overdue items, within a number of org units.
GET /d2l/api/le/{version}/overdueItems/myItems - Read
Retrieve numbers of updates for the current user across several org units
Retrieve numbers of updates for the current user across several org units.
GET /d2l/api/le/{version}/updates/myUpdates/ - Read
Retrieve all intelligent agents for an org unit
Retrieve all intelligent agents for an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/agents - Read
Retrieve all agent categories for an org unit
Retrieve all agent categories for an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/agents/categories/ - Read
Retrieve a specific agent category
Retrieve a specific agent category.
GET /d2l/api/le/{version}/{orgUnitId}/agents/categories/{categoryId} - Read
Retrieve all deleted intelligent agents for an org unit
Retrieve all deleted intelligent agents for an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/agents/deleted - Read
Retrieve a specific intelligent agent
Retrieve a specific intelligent agent.
GET /d2l/api/le/{version}/{orgUnitId}/agents/{agentId} - Read
Retrieve the run history for an intelligent agent
Retrieve the run history for an intelligent agent.
GET /d2l/api/le/{version}/{orgUnitId}/agents/{agentId}/runs - Read
Retrieve a specific run for an intelligent agent
Retrieve a specific run for an intelligent agent.
GET /d2l/api/le/{version}/{orgUnitId}/agents/{agentId}/runs/{runId} - Read
Retrieve an assessment in an org unit
Retrieve an assessment in an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/assessment - Read
Retrieve a calendar event from a particular org unit
Retrieve a calendar event from a particular org unit.
GET /d2l/api/le/{version}/{orgUnitId}/calendar/event/{eventId} - Read
Retrieve a list of users with access to a specified calendar event
Retrieve a list of users with access to a specified calendar event.
GET /d2l/api/le/{version}/{orgUnitId}/calendar/event/{eventId}/access/ - Read
Retrieve a calendar event’s occurrences from a particular org unit
Retrieve a calendar event’s occurrences from a particular org unit.
GET /d2l/api/le/{version}/{orgUnitId}/calendar/event/{eventId}/occurrences - Read
Retrieve all the calendar events for the calling user, within the provided org unit context
Retrieve all the calendar events for the calling user, within the provided org unit context.
GET /d2l/api/le/{version}/{orgUnitId}/calendar/events/ - Read
Retrieve the calling user’s events for a particular org unit
Retrieve the calling user’s events for a particular org unit.
GET /d2l/api/le/{version}/{orgUnitId}/calendar/events/myEvents/ - Read
Retrieve a count of calling user’s calendar events, within the provided org unit context
Retrieve a count of calling user’s calendar events, within the provided org unit context.
GET /d2l/api/le/{version}/{orgUnitId}/calendar/events/myEvents/itemCount - Read
Retrieve all the calendar event occurrences for the calling user, within the provided org unit context
Retrieve all the calendar event occurrences for the calling user, within the provided org unit context.
GET /d2l/api/le/{version}/{orgUnitId}/calendar/events/occurrences/ - Read
Retrieve all the calendar events for the calling user, within a number of org units
Retrieve all the calendar events for the calling user, within a number of org units.
GET /d2l/api/le/{version}/{orgUnitId}/calendar/events/orgunits/ - Read
Retrieve all the calendar events for a specified user’s explicit enrollments within the organization containing the specified org unit
Retrieve all the calendar events for a specified user’s explicit enrollments within the organization containing the specified org unit.
GET /d2l/api/le/{version}/{orgUnitId}/calendar/events/user/ - Read
Retrieve a filtered count of a user’s calendar events within one org unit
Retrieve a filtered count of a user’s calendar events within one org unit.
GET /d2l/api/le/{version}/{orgUnitId}/calendar/events/{userId}/itemCount - Read
Retrieve all checklists belonging to an org unit
Retrieve all checklists belonging to an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/checklists/ - Read
Retrieve a checklist belonging to an org unit
Retrieve a checklist belonging to an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/checklists/{checklistId} - Read
Retrieve all categories belonging to a checklist
Retrieve all categories belonging to a checklist.
GET /d2l/api/le/{version}/{orgUnitId}/checklists/{checklistId}/categories/ - Read
Retrieve a category belonging to a checklist
Retrieve a category belonging to a checklist.
GET /d2l/api/le/{version}/{orgUnitId}/checklists/{checklistId}/categories/{categoryId} - Read
Retrieve all items belonging to a checklist
Retrieve all items belonging to a checklist.
GET /d2l/api/le/{version}/{orgUnitId}/checklists/{checklistId}/items/ - Read
Retrieve an item belonging to a checklist
Retrieve an item belonging to a checklist.
GET /d2l/api/le/{version}/{orgUnitId}/checklists/{checklistId}/items/{checklistItemId} - Read
Retrieve the enrolled users in the classlist for an org unit
Retrieve the enrolled users in the classlist for an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/classlist/ - Read
Retrieve the enrolled users in the classlist for an org unit
Retrieve the enrolled users in the classlist for an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/classlist/paged/ - Read
Retrieve the structure of course competencies and objectives as visible to the calling user
Retrieve the structure of course competencies and objectives as visible to the calling user.
GET /d2l/api/le/{version}/{orgUnitId}/competencies/structure - Read
Retrieve a list of topics that have been bookmarked
Retrieve a list of topics that have been bookmarked.
GET /d2l/api/le/{version}/{orgUnitId}/content/bookmarks - Read
Retrieves the count of completed and required content topics in an org unit for each of the users in the csv
Retrieves the count of completed and required content topics in an org unit for each of the users in the csv.
GET /d2l/api/le/{version}/{orgUnitId}/content/completions/ - Read
Retrieves the aggregate count of completed and required content topics in an org unit for the calling user
Retrieves the aggregate count of completed and required content topics in an org unit for the calling user.
GET /d2l/api/le/{version}/{orgUnitId}/content/completions/mycount/ - Read
Retrieve a specific module for an org unit
Retrieve a specific module for an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/content/modules/{moduleId} - Read
Retrieve a list of users with access to a specified module
Retrieve a list of users with access to a specified module.
GET /d2l/api/le/{version}/{orgUnitId}/content/modules/{moduleId}/access/ - Read
Retrieve the structure for a specific module in an org unit
Retrieve the structure for a specific module in an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/content/modules/{moduleId}/structure/ - Read
Retrieve the calling user’s scheduled items for a particular org unit
Retrieve the calling user’s scheduled items for a particular org unit.
GET /d2l/api/le/{version}/{orgUnitId}/content/myItems/ - Read
Retrieve the calling user’s scheduled items still due for a particular org unit
Retrieve the calling user’s scheduled items still due for a particular org unit.
GET /d2l/api/le/{version}/{orgUnitId}/content/myItems/due/ - Read
Retrieve quantity of the calling user’s scheduled items still due for a particular org unit
Retrieve quantity of the calling user’s scheduled items still due for a particular org unit.
GET /d2l/api/le/{version}/{orgUnitId}/content/myItems/due/itemCount - Read
Retrieve the quantity of the calling user’s scheduled items for provided org unit
Retrieve the quantity of the calling user’s scheduled items for provided org unit.
GET /d2l/api/le/{version}/{orgUnitId}/content/myItems/itemCount - Read
Retrieve pacing dates for content
Retrieve pacing dates for content.
GET /d2l/api/le/{version}/{orgUnitId}/content/pacing - Read
Retrieve a list of the most recently visited topics
Retrieve a list of the most recently visited topics.
GET /d2l/api/le/{version}/{orgUnitId}/content/recent - Read
Retrieve the root module(s) for an org unit
Retrieve the root module(s) for an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/content/root/ - Read
Retrieve the table of course content for an org unit
Retrieve the table of course content for an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/content/toc - Read
Retrieve a specific topic for an org unit
Retrieve a specific topic for an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/content/topics/{topicId} - Read
Retrieve a list of users with access to a specified content topic
Retrieve a list of users with access to a specified content topic.
GET /d2l/api/le/{version}/{orgUnitId}/content/topics/{topicId}/access/ - Read
Retrieve metadata for all captions associated with an audio or video content topic
Retrieve metadata for all captions associated with an audio or video content topic.
GET /d2l/api/le/{version}/{orgUnitId}/content/topics/{topicId}/captions - Read
Retrieve a list of content topic completions for a topic for users the caller has access to
Retrieve a list of content topic completions for a topic for users the caller has access to.
GET /d2l/api/le/{version}/{orgUnitId}/content/topics/{topicId}/completions/ - Read
Retrieve a content topic completion for a topic for a particular user
Retrieve a content topic completion for a topic for a particular user.
GET /d2l/api/le/{version}/{orgUnitId}/content/topics/{topicId}/completions/users/{userId} - Read
Retrieve the content topic file for a content topic
Retrieve the content topic file for a content topic.
GET /d2l/api/le/{version}/{orgUnitId}/content/topics/{topicId}/file - Read
Retrieve the user progress items in an org unit, for specific users or content topics
Retrieve the user progress items in an org unit, for specific users or content topics.
GET /d2l/api/le/{version}/{orgUnitId}/content/userprogress/ - Read
Retrieve one user’s progress within an org unit for a particular content topic
Retrieve one user’s progress within an org unit for a particular content topic.
GET /d2l/api/le/{version}/{orgUnitId}/content/userprogress/{topicId} - Read
Retrieve deleted discussion forums and topics for an org unit
Retrieve deleted discussion forums and topics for an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/deleted - Read
Retrieve a list of all discussion forums for an org unit
Retrieve a list of all discussion forums for an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/ - Read
Retrieve a particular discussion forum for an org unit
Retrieve a particular discussion forum for an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/{forumId} - Read
Retrieve a list of users with access to a specified forum
Retrieve a list of users with access to a specified forum.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/{forumId}/access/ - Read
Retrieve discussion statistics for a specific forum within an org unit
Retrieve discussion statistics for a specific forum within an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/{forumId}/statistics - Read
Retrieve topics from the provided discussion forum in an org unit
Retrieve topics from the provided discussion forum in an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/{forumId}/topics/ - Read
Retrieve a particular topic from the provided discussion forum in an org unit
Retrieve a particular topic from the provided discussion forum in an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/{forumId}/topics/{topicId} - Read
Retrieve a list of users with access to a specified topic within a forum
Retrieve a list of users with access to a specified topic within a forum.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/{forumId}/topics/{topicId}/access/ - Read
Retrieve the list of users currently exempted from a discussion topic
Retrieve the list of users currently exempted from a discussion topic.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/{forumId}/topics/{topicId}/exemption - Read
Retrieve the group restrictions for a discussion forum topic
Retrieve the group restrictions for a discussion forum topic.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/{forumId}/topics/{topicId}/groupRestrictions/ - Read
Retrieve all posts in a discussion forum topic
Retrieve all posts in a discussion forum topic.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/{forumId}/topics/{topicId}/posts/ - Read
Retrieve a particular post in a discussion forum topic
Retrieve a particular post in a discussion forum topic.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/{forumId}/topics/{topicId}/posts/{postId} - Read
Retrieve the approval status for a particular post in a discussion forum topic
Retrieve the approval status for a particular post in a discussion forum topic.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/{forumId}/topics/{topicId}/posts/{postId}/Approval - Read
Retrieve the flagged status for a particular post in a discussion forum topic
Retrieve the flagged status for a particular post in a discussion forum topic.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/{forumId}/topics/{topicId}/posts/{postId}/Flag - Read
Retrieve the rating data for a particular post in a discussion forum topic
Retrieve the rating data for a particular post in a discussion forum topic.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/{forumId}/topics/{topicId}/posts/{postId}/Rating - Read
Retrieve the current user context’s rating data for a particular post in a discussion forum topic
Retrieve the current user context’s rating data for a particular post in a discussion forum topic.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/{forumId}/topics/{topicId}/posts/{postId}/Rating/MyRating - Read
Retrieve the current read status for a particular post in a discussion forum topic
Retrieve the current read status for a particular post in a discussion forum topic.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/{forumId}/topics/{topicId}/posts/{postId}/ReadStatus - Read
Retrieve all the vote data for a particular post in a discussion forum topic
Retrieve all the vote data for a particular post in a discussion forum topic.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/{forumId}/topics/{topicId}/posts/{postId}/Votes - Read
Retrieve the current user’s vote data for a particular post in a discussion forum topic
Retrieve the current user’s vote data for a particular post in a discussion forum topic.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/{forumId}/topics/{topicId}/posts/{postId}/Votes/MyVote - Read
Retrieve a specific file attachment from a discussion forum post
Retrieve a specific file attachment from a discussion forum post.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/{forumId}/topics/{topicId}/posts/{postId}/attachments/{fileId} - Read
Retrieve discussion statistics for a specific topic within a forum
Retrieve discussion statistics for a specific topic within a forum.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/{forumId}/topics/{topicId}/statistics - Read
Retrieve per-user discussion statistics for a specific topic within a forum
Retrieve per-user discussion statistics for a specific topic within a forum.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forums/{forumId}/topics/{topicId}/userstatistics - Read
Retrieve discussion statistics for an org unit, broken down by forum and topic
Retrieve discussion statistics for an org unit, broken down by forum and topic.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/forumtopicstatistics - Read
Retrieve overall discussion statistics for an org unit
Retrieve overall discussion statistics for an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/statistics - Read
Retrieve per-user discussion statistics for an org unit
Retrieve per-user discussion statistics for an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/discussions/userstatistics - Read
Retrieve all dropbox folder categories for the provided org unit
Retrieve all dropbox folder categories for the provided org unit.
GET /d2l/api/le/{version}/{orgUnitId}/dropbox/categories/ - Read
Retrieve the information for a specific dropbox folder category
Retrieve the information for a specific dropbox folder category.
GET /d2l/api/le/{version}/{orgUnitId}/dropbox/categories/{categoryId} - Read
Retrieve all dropbox folders for an org unit
Retrieve all dropbox folders for an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/dropbox/folders/ - Read
Retrieve a specific dropbox folder
Retrieve a specific dropbox folder.
GET /d2l/api/le/{version}/{orgUnitId}/dropbox/folders/{folderId} - Read
Retrieve a list of users with access to a specified dropbox folder
Retrieve a list of users with access to a specified dropbox folder.
GET /d2l/api/le/{version}/{orgUnitId}/dropbox/folders/{folderId}/access/ - Read
Retrieve a file attachment (identified by file ID) from a specific dropbox folder
Retrieve a file attachment (identified by file ID) from a specific dropbox folder.
GET /d2l/api/le/{version}/{orgUnitId}/dropbox/folders/{folderId}/attachments/{fileId} - Read
Retrieve the feedback entry from a dropbox folder for the provided entity
Retrieve the feedback entry from a dropbox folder for the provided entity.
GET /d2l/api/le/{version}/{orgUnitId}/dropbox/folders/{folderId}/feedback/{entityType}/{entityId} - Read
Retrieve a feedback entry’s file attachment from a dropbox folder for the provided entity
Retrieve a feedback entry’s file attachment from a dropbox folder for the provided entity.
GET /d2l/api/le/{version}/{orgUnitId}/dropbox/folders/{folderId}/feedback/{entityType}/{entityId}/attachments/{fileId} - Read
Retrieve a feedback entry’s linked media content attachment from a dropbox folder for the provided entity
Retrieve a feedback entry’s linked media content attachment from a dropbox folder for the provided entity.
GET /d2l/api/le/{version}/{orgUnitId}/dropbox/folders/{folderId}/feedback/{entityType}/{entityId}/links/{linkId} - Read
Download all the files submitted by users in a group for a particular dropbox folder
Download all the files submitted by users in a group for a particular dropbox folder.
GET /d2l/api/le/{version}/{orgUnitId}/dropbox/folders/{folderId}/group-submissions/{groupId}/download - Read
Retrieve special access rules for users in a specified dropbox folder
Retrieve special access rules for users in a specified dropbox folder.
GET /d2l/api/le/{version}/{orgUnitId}/dropbox/folders/{folderId}/specialaccess/ - Read
Retrieve the special access rule for a user in a specified dropbox folder
Retrieve the special access rule for a user in a specified dropbox folder.
GET /d2l/api/le/{version}/{orgUnitId}/dropbox/folders/{folderId}/specialaccess/{userId} - Read
Retrieve all the submissions for a specific dropbox folder
Retrieve all the submissions for a specific dropbox folder.
GET /d2l/api/le/{version}/{orgUnitId}/dropbox/folders/{folderId}/submissions/ - Read
Retrieve all the submissions for a specific group in a dropbox folder
Retrieve all the submissions for a specific group in a dropbox folder.
GET /d2l/api/le/{version}/{orgUnitId}/dropbox/folders/{folderId}/submissions/group/{groupId} - Read
Retrieve all the submissions made by the current user to a particular dropbox folder
Retrieve all the submissions made by the current user to a particular dropbox folder.
GET /d2l/api/le/{version}/{orgUnitId}/dropbox/folders/{folderId}/submissions/mysubmissions/ - Read
Retrieve a page of submissions for a specific dropbox folder
Retrieve a page of submissions for a specific dropbox folder.
GET /d2l/api/le/{version}/{orgUnitId}/dropbox/folders/{folderId}/submissions/paged/ - Read
Retrieve all the submissions for a specific user in a dropbox folder
Retrieve all the submissions for a specific user in a dropbox folder.
GET /d2l/api/le/{version}/{orgUnitId}/dropbox/folders/{folderId}/submissions/user/{userId} - Read
Retrieve one of the files included in a submission for a particular dropbox folder
Retrieve one of the files included in a submission for a particular dropbox folder.
GET /d2l/api/le/{version}/{orgUnitId}/dropbox/folders/{folderId}/submissions/{submissionId}/files/{fileId} - Read
Download all the files submitted by a user for a particular dropbox folder
Download all the files submitted by a user for a particular dropbox folder.
GET /d2l/api/le/{version}/{orgUnitId}/dropbox/folders/{folderId}/submissions/{userId}/download - Read
Retrieve all the current grade objects for a particular org unit
Retrieve all the current grade objects for a particular org unit.
GET /d2l/api/le/{version}/{orgUnitId}/grades/ - Read
Retrieve a list of all grade categories for a provided org unit
Retrieve a list of all grade categories for a provided org unit.
GET /d2l/api/le/{version}/{orgUnitId}/grades/categories/ - Read
Retrieve a specific grade category for a provided org unit
Retrieve a specific grade category for a provided org unit.
GET /d2l/api/le/{version}/{orgUnitId}/grades/categories/{categoryId} - Read
Retrieve the IPSIS details for a grade category
Retrieve the IPSIS details for a grade category.
GET /d2l/api/le/{version}/{orgUnitId}/grades/categories/{categoryId}/ipsis - Read
Retrieve all the course completion records for an org unit
Retrieve all the course completion records for an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/grades/courseCompletion/ - Read
Retrieve all the grade objects for a provided user in a provided org unit with exemption status included
Retrieve all the grade objects for a provided user in a provided org unit with exemption status included.
GET /d2l/api/le/{version}/{orgUnitId}/grades/exemptions/{userId} - Read
Retrieve each user’s final grade value for a particular org unit
Retrieve each user’s final grade value for a particular org unit.
GET /d2l/api/le/{version}/{orgUnitId}/grades/final/values/ - Read
Retrieve the final grade value for the current user context
Retrieve the final grade value for the current user context.
GET /d2l/api/le/{version}/{orgUnitId}/grades/final/values/myGradeValue - Read
Retrieve the final grade value for a particular user
Retrieve the final grade value for a particular user.
GET /d2l/api/le/{version}/{orgUnitId}/grades/final/values/{userId} - Read
Retrieve all the grade schemes for a provided org unit
Retrieve all the grade schemes for a provided org unit.
GET /d2l/api/le/{version}/{orgUnitId}/grades/schemes/ - Read
Retrieve the default grade scheme for a provided org unit
Retrieve the default grade scheme for a provided org unit.
GET /d2l/api/le/{version}/{orgUnitId}/grades/schemes/default - Read
Retrieve a particular grade scheme
Retrieve a particular grade scheme.
GET /d2l/api/le/{version}/{orgUnitId}/grades/schemes/{gradeSchemeId} - Read
Retrieve the grades configuration for the org unit
Retrieve the grades configuration for the org unit.
GET /d2l/api/le/{version}/{orgUnitId}/grades/setup/ - Read
Retrieve all grade values in bulk for every user in a particular org unit
Retrieve all grade values in bulk for every user in a particular org unit.
GET /d2l/api/le/{version}/{orgUnitId}/grades/values/ - Read
Retrieve all grade values in bulk for every user in a group of org units
Retrieve all grade values in bulk for every user in a group of org units.
GET /d2l/api/le/{version}/{orgUnitId}/grades/values/descendants/ - Read
Retrieve all the grade values for the current user context assigned in a particular org unit
Retrieve all the grade values for the current user context assigned in a particular org unit.
GET /d2l/api/le/{version}/{orgUnitId}/grades/values/myGradeValues/ - Read
Retrieve all the grade values for a particular user assigned in an org unit
Retrieve all the grade values for a particular user assigned in an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/grades/values/{userId}/ - Read
Retrieve a specific grade object for a particular org unit
Retrieve a specific grade object for a particular org unit.
GET /d2l/api/le/{version}/{orgUnitId}/grades/{gradeObjectId} - Read
Retrieve a list of users with access to a specified grade
Retrieve a list of users with access to a specified grade.
GET /d2l/api/le/{version}/{orgUnitId}/grades/{gradeObjectId}/access/ - Read
Retrieve all the exempt users for a provided grade
Retrieve all the exempt users for a provided grade.
GET /d2l/api/le/{version}/{orgUnitId}/grades/{gradeObjectId}/exemptions/ - Read
Determine if a user is exempt from a grade
Determine if a user is exempt from a grade.
GET /d2l/api/le/{version}/{orgUnitId}/grades/{gradeObjectId}/exemptions/{userId} - Read
Retrieve the IPSIS details for a grade object
Retrieve the IPSIS details for a grade object.
GET /d2l/api/le/{version}/{orgUnitId}/grades/{gradeObjectId}/ipsis - Read
Get statistics for a specified grade item
Get statistics for a specified grade item.
GET /d2l/api/le/{version}/{orgUnitId}/grades/{gradeObjectId}/statistics - Read
Retrieve each user’s grade value for a particular grade object
Retrieve each user’s grade value for a particular grade object.
GET /d2l/api/le/{version}/{orgUnitId}/grades/{gradeObjectId}/values/ - Read
Retrieve a specific grade value for the current user context assigned in a particular org unit
Retrieve a specific grade value for the current user context assigned in a particular org unit.
GET /d2l/api/le/{version}/{orgUnitId}/grades/{gradeObjectId}/values/myGradeValue - Read
Retrieve a specific grade value for a particular user assigned in an org unit
Retrieve a specific grade value for a particular user assigned in an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/grades/{gradeObjectId}/values/{userId} - Read
Retrieve all the alignments in an org unit
Retrieve all the alignments in an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/lo/alignments/ - Read
Retrieve all the alignments to a given activity
Retrieve all the alignments to a given activity.
GET /d2l/api/le/{version}/{orgUnitId}/lo/alignments/activity/{activityType}/{objectId} - Read
Retrieve all the alignments to a given outcome in an org unit
Retrieve all the alignments to a given outcome in an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/lo/alignments/outcome/{outcomeId} - Read
Retrieve all the alignments to outcomes in an outcome set in an org unit
Retrieve all the alignments to outcomes in an outcome set in an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/lo/alignments/outcomeSet/{outcomeSetId} - Read
Retrieve org unit level outcome sets in export format
Retrieve org unit level outcome sets in export format.
POST /d2l/api/le/{version}/{orgUnitId}/lo/bulkExport - Read
Retrieve all outcome sets in an org unit
Retrieve all outcome sets in an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/lo/outcomeSets/ - Read
Retrieve a specific outcome set from an org unit
Retrieve a specific outcome set from an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/lo/outcomeSets/{outcomeSetId} - Read
Retrieve a specific object from a provided group’s locker
Retrieve a specific object from a provided group’s locker.
GET /d2l/api/le/{version}/{orgUnitId}/locker/group/{groupId}/{path} - Read
Retrieve a list of news items for an org unit
Retrieve a list of news items for an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/news/ - Read
Return
Return . This action returns a JSON array of NewsItem data blocks containing the properties of deleted news items. Note that this action will also retrieve deleted news item that have the IsHidden property set to true .
GET /d2l/api/le/{version}/{orgUnitId}/news/deleted/ - Read
Retrieve a list of news items from an org unit for specific user
Retrieve a list of news items from an org unit for specific user.
GET /d2l/api/le/{version}/{orgUnitId}/news/user/{userId}/ - Read
Retrieve a particular news item for an org unit
Retrieve a particular news item for an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/news/{newsItemId} - Read
Retrieve a list of users with access to a specified news item
Retrieve a list of users with access to a specified news item.
GET /d2l/api/le/{version}/{orgUnitId}/news/{newsItemId}/access/ - Read
Retrieve an attachment for an org unit’s news item
Retrieve an attachment for an org unit’s news item.
GET /d2l/api/le/{version}/{orgUnitId}/news/{newsItemId}/attachments/{fileId} - Read
Retrieve the sharing rules for a particular news item
Retrieve the sharing rules for a particular news item.
GET /d2l/api/le/{version}/{orgUnitId}/news/{newsItemId}/sharing/ - Read
Retrieve the content overview for a course offering
Retrieve the content overview for a course offering.
GET /d2l/api/le/{version}/{orgUnitId}/overview - Read
Retrieve the content overview’s file attachment for a course offering
Retrieve the content overview’s file attachment for a course offering.
GET /d2l/api/le/{version}/{orgUnitId}/overview/attachment - Read
Retrieve the quizzes belonging to an org unit
Retrieve the quizzes belonging to an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/quizzes/ - Read
Retrieve the quiz categories belonging to an org unit
Retrieve the quiz categories belonging to an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/quizzes/categories/ - Read
Retrieve a quiz category
Retrieve a quiz category.
GET /d2l/api/le/{version}/{orgUnitId}/quizzes/categories/{categoryId} - Read
Retrieve a quiz
Retrieve a quiz.
GET /d2l/api/le/{version}/{orgUnitId}/quizzes/{quizId} - Read
Retrieve a list of users with access to a specified quiz
Retrieve a list of users with access to a specified quiz.
GET /d2l/api/le/{version}/{orgUnitId}/quizzes/{quizId}/access/ - Read
Retrieve a list of attempts for a quiz
Retrieve a list of attempts for a quiz.
GET /d2l/api/le/{version}/{orgUnitId}/quizzes/{quizId}/attempts/ - Read
Retrieve a quiz attempt
Retrieve a quiz attempt.
GET /d2l/api/le/{version}/{orgUnitId}/quizzes/{quizId}/attempts/{attemptId} - Read
Retrieve all the questions in a quiz
Retrieve all the questions in a quiz.
GET /d2l/api/le/{version}/{orgUnitId}/quizzes/{quizId}/questions/ - Read
Retrieve a specific question in a quiz
Retrieve a specific question in a quiz.
GET /d2l/api/le/{version}/{orgUnitId}/quizzes/{quizId}/questions/{questionId} - Read
Retrieve special access rules for users in a quiz
Retrieve special access rules for users in a quiz.
GET /d2l/api/le/{version}/{orgUnitId}/quizzes/{quizId}/specialaccess/ - Read
Retrieve a user’s special access rule for a quiz
Retrieve a user’s special access rule for a quiz.
GET /d2l/api/le/{version}/{orgUnitId}/quizzes/{quizId}/specialaccess/{userId} - Read
Retrieve rubrics for an object in an org unit
Retrieve rubrics for an object in an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/rubrics/ - Read
Retrieve all rubrics and their associations for a specific org unit
Retrieve all rubrics and their associations for a specific org unit.
GET /d2l/api/le/{version}/{orgUnitId}/rubrics/associations/ - Read
Retrieve all rubric associations for a specific activity type and object ID
Retrieve all rubric associations for a specific activity type and object ID.
GET /d2l/api/le/{version}/{orgUnitId}/rubrics/associations/activity/{activityType}/{objectId} - Read
Retrieve a single rubric
Retrieve a single rubric.
GET /d2l/api/le/{version}/{orgUnitId}/rubrics/{rubricId} - Read
Retrieve the surveys belonging to an org unit
Retrieve the surveys belonging to an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/surveys/ - Read
Retrieve the survey categories belonging to an org unit
Retrieve the survey categories belonging to an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/surveys/categories/ - Read
Retrieve the survey category belonging to an org unit
Retrieve the survey category belonging to an org unit.
GET /d2l/api/le/{version}/{orgUnitId}/surveys/categories/{categoryId} - Read
Retrieve a survey
Retrieve a survey.
GET /d2l/api/le/{version}/{orgUnitId}/surveys/{surveyId} - Read
Retrieve a list of users with access to a specified survey
Retrieve a list of users with access to a specified survey.
GET /d2l/api/le/{version}/{orgUnitId}/surveys/{surveyId}/access/ - Read
Retrieve a list of attempts for a survey
Retrieve a list of attempts for a survey.
GET /d2l/api/le/{version}/{orgUnitId}/surveys/{surveyId}/attempts/ - Read
Retrieve a survey attempt
Retrieve a survey attempt.
GET /d2l/api/le/{version}/{orgUnitId}/surveys/{surveyId}/attempts/{attemptId} - Read
Retrieve all the questions in a survey
Retrieve all the questions in a survey.
GET /d2l/api/le/{version}/{orgUnitId}/surveys/{surveyId}/questions/ - Read
Retrieve special access rules in a survey
Retrieve special access rules in a survey.
GET /d2l/api/le/{version}/{orgUnitId}/surveys/{surveyId}/specialaccess/ - Read
Retrieve a user’s special access rule for a survey
Retrieve a user’s special access rule for a survey.
GET /d2l/api/le/{version}/{orgUnitId}/surveys/{surveyId}/specialaccess/{userId} - Read
Retrieve numbers of updates for the current user in the provided org unit
Retrieve numbers of updates for the current user in the provided org unit.
GET /d2l/api/le/{version}/{orgUnitId}/updates/myUpdates - Read
Retrieve the current user’s locale account settings
Retrieve the current user’s locale account settings.
GET /d2l/api/lp/{version}/accountSettings/mySettings/locale/ - Read
Retrieve the locale account settings for a particular user
Retrieve the locale account settings for a particular user.
GET /d2l/api/lp/{version}/accountSettings/{userId}/locale/ - Read
Retrieve a list of alerts for the given user
Retrieve a list of alerts for the given user.
GET /d2l/api/lp/{version}/alerts/user/{userId} - Read
Retrieve user attributes schema definitions
Retrieve user attributes schema definitions.
GET /d2l/api/lp/{version}/attributes/schemas/ - Read
Retrieve the attributes for a single user
Retrieve the attributes for a single user.
GET /d2l/api/lp/{version}/attributes/users/{userId} - Read
Retrieve a SOAP services authentication token given an existing calling user context
Retrieve a SOAP services authentication token given an existing calling user context.
GET /d2l/api/lp/{version}/auth/soaptoken - Read
Retrieve the definitions for all the configuration variables the user has access to view
Retrieve the definitions for all the configuration variables the user has access to view.
GET /d2l/api/lp/{version}/configVariables/definitions/ - Read
Retrieve the definitions for a configuration variable
Retrieve the definitions for a configuration variable.
GET /d2l/api/lp/{version}/configVariables/{variableId}/definition - Read
Retrieve the effective value for a configuration variable within an org unit
Retrieve the effective value for a configuration variable within an org unit.
GET /d2l/api/lp/{version}/configVariables/{variableId}/effectiveValues/orgUnits/{orgUnitId} - Read
Retrieve the resolution strategy for an org unit configuration variable
Retrieve the resolution strategy for an org unit configuration variable.
GET /d2l/api/lp/{version}/configVariables/{variableId}/resolver - Read
Retrieve the value summary for a configuration variable
Retrieve the value summary for a configuration variable.
GET /d2l/api/lp/{version}/configVariables/{variableId}/values - Read
Retrieve the current org value for a configuration variable
Retrieve the current org value for a configuration variable.
GET /d2l/api/lp/{version}/configVariables/{variableId}/values/org - Read
Retrieve all the org unit override values for a configuration variable
Retrieve all the org unit override values for a configuration variable.
GET /d2l/api/lp/{version}/configVariables/{variableId}/values/orgUnits/ - Read
Retrieve an org unit override value for a configuration variable
Retrieve an org unit override value for a configuration variable.
GET /d2l/api/lp/{version}/configVariables/{variableId}/values/orgUnits/{orgUnitId} - Read
Retrieve all the role override values for a configuration variable
Retrieve all the role override values for a configuration variable.
GET /d2l/api/lp/{version}/configVariables/{variableId}/values/roles/ - Read
Retrieve a role override value for a configuration variable
Retrieve a role override value for a configuration variable.
GET /d2l/api/lp/{version}/configVariables/{variableId}/values/roles/{roleId} - Read
Retrieve the current system value for a configuration variable
Retrieve the current system value for a configuration variable.
GET /d2l/api/lp/{version}/configVariables/{variableId}/values/system - Read
Retrieve the status of a queued bulk course update job
Retrieve the status of a queued bulk course update job.
GET /d2l/api/lp/{version}/courses/bulkUpdate/{jobTokenId} - Read
Retrieve parent department and semester for the provided courses
Retrieve parent department and semester for the provided courses.
GET /d2l/api/lp/{version}/courses/parentorgunits - Read
Retrieve parent departments and semesters for the provided courses
Retrieve parent departments and semesters for the provided courses.
GET /d2l/api/lp/{version}/courses/parents - Read
Query course offerings available for bulk course update jobs
Query course offerings available for bulk course update jobs.
GET /d2l/api/lp/{version}/courses/query - Read
Retrieve the list of parent org unit type constraints for course offerings
Retrieve the list of parent org unit type constraints for course offerings.
GET /d2l/api/lp/{version}/courses/schema - Read
Retrieve a course offering
Retrieve a course offering.
GET /d2l/api/lp/{version}/courses/{orgUnitId} - Read
Retrieve the course image for a course offering
Retrieve the course image for a course offering.
GET /d2l/api/lp/{version}/courses/{orgUnitId}/image - Read
Retrieve the list of parent org unit type constraints for course offerings built on this template
Retrieve the list of parent org unit type constraints for course offerings built on this template.
GET /d2l/api/lp/{version}/coursetemplates/schema - Read
Retrieve a course template
Retrieve a course template.
GET /d2l/api/lp/{version}/coursetemplates/{orgUnitId} - Read
Retrieves a list of Brightspace Data Sets plugins that you have permission to see
Retrieves a list of Brightspace Data Sets plugins that you have permission to see.
GET /d2l/api/lp/{version}/dataExport/bds - Read
Retrieves a file stream for the requested Brightspace Data Sets plugin
Retrieves a file stream for the requested Brightspace Data Sets plugin.
GET /d2l/api/lp/{version}/dataExport/bds/download/{pluginid} - Read
Retrieves a list of Brightspace Data Sets plugins that you have permission to see
Retrieves a list of Brightspace Data Sets plugins that you have permission to see.
GET /d2l/api/lp/{version}/dataExport/bds/list - Read
Retrieves a file stream for the requested Brightspace Data Sets plugin
Retrieves a file stream for the requested Brightspace Data Sets plugin.
GET /d2l/api/lp/{version}/dataExport/bds/{pluginid}/{identifier} - Read
Retrieves a ZIP file containing a CSV file with the data of the requested export job that you previously submitted
Retrieves a ZIP file containing a CSV file with the data of the requested export job that you previously submitted.
GET /d2l/api/lp/{version}/dataExport/download/{exportJobId} - Read
Lists all available export jobs that you have previously submitted
Lists all available export jobs that you have previously submitted.
GET /d2l/api/lp/{version}/dataExport/jobs - Read
Retrieves information about a data export job that you have previously submitted
Retrieves information about a data export job that you have previously submitted.
GET /d2l/api/lp/{version}/dataExport/jobs/{exportJobId} - Read
Lists all available data sets
Lists all available data sets.
GET /d2l/api/lp/{version}/dataExport/list - Read
Retrieve a data set
Retrieve a data set.
GET /d2l/api/lp/{version}/dataExport/list/{dataSetId} - Read
Retrieves information about the Data Sets versions
Retrieves information about the Data Sets versions.
GET /d2l/api/lp/{version}/dataExport/version - Read
Retrieve a list of Brightspace Data Sets schemas and plugins
Retrieve a list of Brightspace Data Sets schemas and plugins.
GET /d2l/api/lp/{version}/datasets/bds - Read
Retrieve a list of Brightspace Data Sets extracts that are associated with the provided schema
Retrieve a list of Brightspace Data Sets extracts that are associated with the provided schema.
GET /d2l/api/lp/{version}/datasets/bds/{schemaId}/extracts - Read
Retrieve a list of Brightspace Data Sets extracts that are associated with the provided plugin and schema
Retrieve a list of Brightspace Data Sets extracts that are associated with the provided plugin and schema.
GET /d2l/api/lp/{version}/datasets/bds/{schemaId}/plugins/{pluginId}/extracts - Read
Retrieve a file stream or a redirect response to a file stream for the requested extract of the requested schema and plugin
Retrieve a file stream or a redirect response to a file stream for the requested extract of the requested schema and plugin.
GET /d2l/api/lp/{version}/datasets/bds/{schemaId}/plugins/{pluginId}/extracts/{extractId} - Read
Retrieve the list of all demographics data types
Retrieve the list of all demographics data types.
GET /d2l/api/lp/{version}/demographics/dataTypes/ - Read
Retrieve a single demographic data type
Retrieve a single demographic data type.
GET /d2l/api/lp/{version}/demographics/dataTypes/{dataTypeId} - Read
Retrieve the list of all demographics fields
Retrieve the list of all demographics fields.
GET /d2l/api/lp/{version}/demographics/fields/ - Read
Retrieve a single demographic field
Retrieve a single demographic field.
GET /d2l/api/lp/{version}/demographics/fields/{fieldId} - Read
Retrieve all the demographics entries for all users enrolled in a particular org unit
Retrieve all the demographics entries for all users enrolled in a particular org unit.
GET /d2l/api/lp/{version}/demographics/orgUnits/{orgUnitId}/users/ - Read
Retrieve all the demographics entries for a specific user within a particular org unit
Retrieve all the demographics entries for a specific user within a particular org unit.
GET /d2l/api/lp/{version}/demographics/orgUnits/{orgUnitId}/users/{userId} - Read
Retrieve all the demographics entries for all users, and optionally filter the results
Retrieve all the demographics entries for all users, and optionally filter the results.
GET /d2l/api/lp/{version}/demographics/users/ - Read
Retrieve all the demographics entries for a single user
Retrieve all the demographics entries for a single user.
GET /d2l/api/lp/{version}/demographics/users/{userId} - Read
Retrieve the list of all enrollments for the current user
Retrieve the list of all enrollments for the current user.
GET /d2l/api/lp/{version}/enrollments/myenrollments/ - Read
Retrieve the enrollment details for the current user in the provided org unit
Retrieve the enrollment details for the current user in the provided org unit.
GET /d2l/api/lp/{version}/enrollments/myenrollments/{orgUnitId} - Read
Retrieve abbreviated enrollment details for the current user in the provided org unit
Retrieve abbreviated enrollment details for the current user in the provided org unit.
GET /d2l/api/lp/{version}/enrollments/myenrollments/{orgUnitId}/access - Read
Retrieve enrollment details of all parent org units of the provided org unit in which the current user is enrolled
Retrieve enrollment details of all parent org units of the provided org unit in which the current user is enrolled.
GET /d2l/api/lp/{version}/enrollments/myenrollments/{orgUnitId}/parentOrgUnits - Read
Retrieve the collection of users enrolled in the identified org unit
Retrieve the collection of users enrolled in the identified org unit.
GET /d2l/api/lp/{version}/enrollments/orgUnits/{orgUnitId}/users/ - Read
Retrieve enrollment details for a user in the provided org unit
Retrieve enrollment details for a user in the provided org unit.
GET /d2l/api/lp/{version}/enrollments/orgUnits/{orgUnitId}/users/{userId} - Read
Retrieve completion tracking status for a user in the provided org unit
Retrieve completion tracking status for a user in the provided org unit.
GET /d2l/api/lp/{version}/enrollments/orgUnits/{orgUnitId}/users/{userId}/completion - Read
Retrieve a list of all enrollments for the provided user
Retrieve a list of all enrollments for the provided user.
GET /d2l/api/lp/{version}/enrollments/users/{userId}/orgUnits/ - Read
Retrieve enrollment details in an org unit for the provided user
Retrieve enrollment details in an org unit for the provided user.
GET /d2l/api/lp/{version}/enrollments/users/{userId}/orgUnits/{orgUnitId} - Read
Fetch the feed for the current user context
Fetch the feed for the current user context.
GET /d2l/api/lp/{version}/feed/ - Read
Retrieve the D2L user map identifier for a particular user
Retrieve the D2L user map identifier for a particular user.
GET /d2l/api/lp/{version}/globalusermapping/identifiers/{identifier} - Read
Retrieves the global map identifier for a particular user
Retrieves the global map identifier for a particular user.
GET /d2l/api/lp/{version}/globalusermapping/users/{userid} - Read
Retrieve mappings between user roles and LIS roles
Retrieve mappings between user roles and LIS roles.
GET /d2l/api/lp/{version}/imsconfig/map/roles/ - Read
Retrieve mapping between a user roles and LIS roles
Retrieve mapping between a user roles and LIS roles.
GET /d2l/api/lp/{version}/imsconfig/map/roles/{roleId} - Read
Retrieve a list of known LIS Roles
Retrieve a list of known LIS Roles.
GET /d2l/api/lp/{version}/imsconfig/roles/ - Read
Retrieve the collection of all D2L languages
Retrieve the collection of all D2L languages.
GET /d2l/api/lp/{version}/language - Read
Retrieve local authentication security overrides for a list of users
Retrieve local authentication security overrides for a list of users.
GET /d2l/api/lp/{version}/localauthenticationsecurity/overrides/ - Read
Retrieve the collection of all known locales
Retrieve the collection of all known locales.
GET /d2l/api/lp/{version}/locales/ - Read
Retrieve the properties for a particular locale
Retrieve the properties for a particular locale.
GET /d2l/api/lp/{version}/locales/{localeId} - Read
Retrieve all current log messages
Retrieve all current log messages.
GET /d2l/api/lp/{version}/logging/ - Read
Retrieve all current log arranged in message groups
Retrieve all current log arranged in message groups.
GET /d2l/api/lp/{version}/logging/grouped/ - Read
Retrieve identified log message
Retrieve identified log message.
GET /d2l/api/lp/{version}/logging/{logMessageId}/ - Read
Retrieve all the carrier channels for delivering notification messages
Retrieve all the carrier channels for delivering notification messages.
GET /d2l/api/lp/{version}/notifications/instant/carriers/ - Read
Retrieve all the current subscriptions for notification messages
Retrieve all the current subscriptions for notification messages.
GET /d2l/api/lp/{version}/notifications/instant/carriers/{carrierId}/subscriptions/ - Read
Retrieve all the subscriptions for notification messages for the provided user
Retrieve all the subscriptions for notification messages for the provided user.
GET /d2l/api/lp/{version}/notifications/instant/carriers/{carrierId}/subscriptions/users/{userId}/ - Read
Retrieve the notification settings for the provided user
Retrieve the notification settings for the provided user.
GET /d2l/api/lp/{version}/notifications/instant/users/{userId}/settings - Read
Retrieve the organization properties information
Retrieve the organization properties information.
GET /d2l/api/lp/{version}/organization/info - Read
Retrieve the organization’s primary (root) URL
Retrieve the organization’s primary (root) URL.
GET /d2l/api/lp/{version}/organization/primary-url - Read
Retrieve properties for all org units
Retrieve properties for all org units.
GET /d2l/api/lp/{version}/orgstructure/ - Read
Retrieve all org units that have no children
Retrieve all org units that have no children.
GET /d2l/api/lp/{version}/orgstructure/childless/ - Read
Retrieve all org units that are orphans (have no parents)
Retrieve all org units that are orphans (have no parents).
GET /d2l/api/lp/{version}/orgstructure/orphans/ - Read
Retrieve all the org units currently in the archive
Retrieve all the org units currently in the archive.
GET /d2l/api/lp/{version}/orgstructure/recyclebin/ - Read
Retrieve the properties for a provided org unit
Retrieve the properties for a provided org unit.
GET /d2l/api/lp/{version}/orgstructure/{orgUnitId} - Read
Retrieve a list of ancestor-units for a provided org unit
Retrieve a list of ancestor-units for a provided org unit.
GET /d2l/api/lp/{version}/orgstructure/{orgUnitId}/ancestors/ - Read
Retrieve a list of child-units for a provided org unit
Retrieve a list of child-units for a provided org unit.
GET /d2l/api/lp/{version}/orgstructure/{orgUnitId}/children/ - Read
Retrieve a list of child-units for a provided org unit
Retrieve a list of child-units for a provided org unit.
GET /d2l/api/lp/{version}/orgstructure/{orgUnitId}/children/paged/ - Read
Retrieve the color scheme for an org unit
Retrieve the color scheme for an org unit.
GET /d2l/api/lp/{version}/orgstructure/{orgUnitId}/colours - Read
Retrieve a list of descendent-units for a provided org unit
Retrieve a list of descendent-units for a provided org unit.
GET /d2l/api/lp/{version}/orgstructure/{orgUnitId}/descendants/ - Read
Retrieve a list of descendent-units for a provided org unit
Retrieve a list of descendent-units for a provided org unit.
GET /d2l/api/lp/{version}/orgstructure/{orgUnitId}/descendants/paged/ - Read
Retrieve a list of parent-units for a provided org unit
Retrieve a list of parent-units for a provided org unit.
GET /d2l/api/lp/{version}/orgstructure/{orgUnitId}/parents/ - Read
Retrieve all the known and visible org unit types
Retrieve all the known and visible org unit types.
GET /d2l/api/lp/{version}/outypes/ - Read
Retrieve the org unit type information for department org units
Retrieve the org unit type information for department org units.
GET /d2l/api/lp/{version}/outypes/department - Read
Retrieve the org unit type information for semester org units
Retrieve the org unit type information for semester org units.
GET /d2l/api/lp/{version}/outypes/semester - Read
Retrieve information about a particular org unit type
Retrieve information about a particular org unit type.
GET /d2l/api/lp/{version}/outypes/{orgUnitTypeId} - Read
Retrieve all the capability grants for a tool
Retrieve all the capability grants for a tool.
GET /d2l/api/lp/{version}/permissions/tools/{toolId}/capabilities/ - Read
Retrieve all the permission grants for a tool’s permissions claims
Retrieve all the permission grants for a tool’s permissions claims.
GET /d2l/api/lp/{version}/permissions/tools/{toolId}/claims/ - Read
Retrieve all the allowed permission grants for a tool for a tool’s permissions claims
Retrieve all the allowed permission grants for a tool for a tool’s permissions claims.
GET /d2l/api/lp/{version}/permissions/tools/{toolId}/claims/allowed/ - Read
Determine the allowance state of a permission grant
Determine the allowance state of a permission grant.
GET /d2l/api/lp/{version}/permissions/tools/{toolId}/claims/allowed/{grantId} - Read
Retrieve the meta-data for all of a tool’s permission claims
Retrieve the meta-data for all of a tool’s permission claims.
GET /d2l/api/lp/{version}/permissions/tools/{toolId}/claims/metadata/ - Read
Retrieve the meta-data for one of a tool’s permission claims
Retrieve the meta-data for one of a tool’s permission claims.
GET /d2l/api/lp/{version}/permissions/tools/{toolId}/claims/metadata/{claimId} - Read
Retrieve personal profile information for the current user context
Retrieve personal profile information for the current user context.
GET /d2l/api/lp/{version}/profile/myProfile - Read
Retrieve the current user’s profile image
Retrieve the current user’s profile image.
GET /d2l/api/lp/{version}/profile/myProfile/image - Read
Retrieve a particular personal profile, by User ID
Retrieve a particular personal profile, by User ID.
GET /d2l/api/lp/{version}/profile/user/{userId} - Read
Retrieve a particular profile image, by User ID
Retrieve a particular profile image, by User ID.
GET /d2l/api/lp/{version}/profile/user/{userId}/image - Read
Retrieve a particular personal profile, by Profile ID
Retrieve a particular personal profile, by Profile ID.
GET /d2l/api/lp/{version}/profile/{profileId} - Read
Retrieve a particular profile image, by Profile ID
Retrieve a particular profile image, by Profile ID.
GET /d2l/api/lp/{version}/profile/{profileId}/image - Read
Retrieve a list of all known user roles
Retrieve a list of all known user roles.
GET /d2l/api/lp/{version}/roles/ - Read
Retrieve a particular user role
Retrieve a particular user role.
GET /d2l/api/lp/{version}/roles/{roleId} - Read
Retrieve the source course for a given course offering
Retrieve the source course for a given course offering.
GET /d2l/api/lp/{version}/sourceCourses/courseOfferings/{orgUnitId} - Read
Retrieve the current course offering for a given source course
Retrieve the current course offering for a given source course.
GET /d2l/api/lp/{version}/sourceCourses/{orgUnitId}/currentReofferedCourse - Read
Retrieve the re-offered courses for a given source course
Retrieve the re-offered courses for a given source course.
GET /d2l/api/lp/{version}/sourceCourses/{orgUnitId}/reofferedCourses - Read
Retrieves a list of available time zones
Retrieves a list of available time zones.
GET /d2l/api/lp/{version}/timezones/ - Read
Retrieve the current organization-level information for all tools
Retrieve the current organization-level information for all tools.
GET /d2l/api/lp/{version}/tools/org/ - Read
Retrieve the current organization-level information for a tool
Retrieve the current organization-level information for a tool.
GET /d2l/api/lp/{version}/tools/org/{toolId} - Read
Retrieve the current information for all tools enabled for the provided org unit
Retrieve the current information for all tools enabled for the provided org unit.
GET /d2l/api/lp/{version}/tools/orgUnits/{orgUnitId} - Read
Retrieve the current id and localized name information for all tools enabled for the provided org unit, including restricted tools
Retrieve the current id and localized name information for all tools enabled for the provided org unit, including restricted tools.
GET /d2l/api/lp/{version}/tools/orgUnits/{orgUnitId}/toolNames - Read
Retrieve the current information for a tool enabled for the provided org unit
Retrieve the current information for a tool enabled for the provided org unit.
GET /d2l/api/lp/{version}/tools/orgUnits/{orgUnitId}/{toolId} - Read
Retrieve data for one or more users
Retrieve data for one or more users.
GET /d2l/api/lp/{version}/users/ - Read
Retrieve the current user’s pronoun choices
Retrieve the current user’s pronoun choices.
GET /d2l/api/lp/{version}/users/mypronouns - Read
Retrieve the current user’s pronoun visilbity preference
Retrieve the current user’s pronoun visilbity preference.
GET /d2l/api/lp/{version}/users/mypronouns/visibility - Read
Retrieve per-role user enrollment statistics at the organization level
Retrieve per-role user enrollment statistics at the organization level.
GET /d2l/api/lp/{version}/users/roles/statistics - Read
Retrieve aggregate user statistics for the organization
Retrieve aggregate user statistics for the organization.
GET /d2l/api/lp/{version}/users/statistics - Read
Retrieve the current user context’s user information
Retrieve the current user context’s user information.
GET /d2l/api/lp/{version}/users/whoami - Read
Retrieve data for a particular user
Retrieve data for a particular user.
GET /d2l/api/lp/{version}/users/{userId} - Read
Retrieve a particular user’s activation settings
Retrieve a particular user’s activation settings.
GET /d2l/api/lp/{version}/users/{userId}/activation - Read
Retrieve a paged list of enrollment logs for a particular user, optionally filtered by time window, org unit, and org unit type
Retrieve a paged list of enrollment logs for a particular user, optionally filtered by time window, org unit, and org unit type.
GET /d2l/api/lp/{version}/users/{userId}/enrollmentlogs/ - Read
Retrieve legal, preferred, and sort names for a particular user
Retrieve legal, preferred, and sort names for a particular user.
GET /d2l/api/lp/{version}/users/{userId}/names - Read
Retrieve the successful login history for a particular user, within a specified time window
Retrieve the successful login history for a particular user, within a specified time window.
GET /d2l/api/lp/{version}/users/{userId}/usertrackinglogs/ - Read
Retrieve the conditions on a target in the org unit
Retrieve the conditions on a target in the org unit.
GET /d2l/api/lp/{version}/{orgUnitId}/conditionalRelease/conditions/{targetType}/{targetId} - Read
Retrieve a list of all the group categories for the provided org unit
Retrieve a list of all the group categories for the provided org unit.
GET /d2l/api/lp/{version}/{orgUnitId}/groupcategories/ - Read
Retrieve a particular group category for an org unit
Retrieve a particular group category for an org unit.
GET /d2l/api/lp/{version}/{orgUnitId}/groupcategories/{groupCategoryId} - Read
Retrieve a list of all the groups in a particular group category for an org unit
Retrieve a list of all the groups in a particular group category for an org unit.
GET /d2l/api/lp/{version}/{orgUnitId}/groupcategories/{groupCategoryId}/groups/ - Read
Retrieve a list of all the users enrolled in a particular group category for an org unit
Retrieve a list of all the users enrolled in a particular group category for an org unit.
GET /d2l/api/lp/{version}/{orgUnitId}/groupcategories/{groupCategoryId}/groups/enrollments - Read
Retrieve a list of all the groups within a particular group category for an org unit with none of the enrollment data
Retrieve a list of all the groups within a particular group category for an org unit with none of the enrollment data.
GET /d2l/api/lp/{version}/{orgUnitId}/groupcategories/{groupCategoryId}/groups/paged - Read
Retrieve a particular group in an org unit
Retrieve a particular group in an org unit.
GET /d2l/api/lp/{version}/{orgUnitId}/groupcategories/{groupCategoryId}/groups/{groupId} - Read
Retrieve a list of all the users enrolled in a particular group in an org unit
Retrieve a list of all the users enrolled in a particular group in an org unit.
GET /d2l/api/lp/{version}/{orgUnitId}/groupcategories/{groupCategoryId}/groups/{groupId}/enrollments - Read
Retrieve a group for a particular group in an org unit without enrollment data
Retrieve a group for a particular group in an org unit without enrollment data.
GET /d2l/api/lp/{version}/{orgUnitId}/groupcategories/{groupCategoryId}/groups/{groupId}/noenrollments - Read
Determine if a locker has been set up for a group category within an org unit
Determine if a locker has been set up for a group category within an org unit.
GET /d2l/api/lp/{version}/{orgUnitId}/groupcategories/{groupCategoryId}/locker - Read
Retrieve the creation job status of a particular group category for an org unit
Retrieve the creation job status of a particular group category for an org unit.
GET /d2l/api/lp/{version}/{orgUnitId}/groupcategories/{groupCategoryId}/status - Read
Retrieve a page of groups in which the calling user is enrolled for an org unit
Retrieve a page of groups in which the calling user is enrolled for an org unit.
GET /d2l/api/lp/{version}/{orgUnitId}/groups/ - Read
Retrieve a list of all the groups within a course offering that a user would be able to self-enroll themselves into
Retrieve a list of all the groups within a course offering that a user would be able to self-enroll themselves into.
GET /d2l/api/lp/{version}/{orgUnitId}/groups/selfEnrollmentAvailable - Read
Retrieve the direct child contents (folders and files) of an org unit path
Retrieve the direct child contents (folders and files) of an org unit path.
GET /d2l/api/lp/{version}/{orgUnitId}/managefiles/ - Read
Retrieve a course file specified by the path
Retrieve a course file specified by the path.
GET /d2l/api/lp/{version}/{orgUnitId}/managefiles/file - Read
Retrieve a list of all the enrolled user roles the calling user can view in an org unit
Retrieve a list of all the enrolled user roles the calling user can view in an org unit.
GET /d2l/api/lp/{version}/{orgUnitId}/roles/ - Read
Retrieve all the sections for a provided org unit
Retrieve all the sections for a provided org unit.
GET /d2l/api/lp/{version}/{orgUnitId}/sections/ - Read
Retrieve a page of enrollments across all sections for a provided org unit
Retrieve a page of enrollments across all sections for a provided org unit.
GET /d2l/api/lp/{version}/{orgUnitId}/sections/enrollments/ - Read
Retrieve all the sections for a provided org unit in which the calling user is enrolled
Retrieve all the sections for a provided org unit in which the calling user is enrolled.
GET /d2l/api/lp/{version}/{orgUnitId}/sections/mysections/ - Read
Retrieve a page of sections for a provided org unit in which the calling user is enrolled
Retrieve a page of sections for a provided org unit in which the calling user is enrolled.
GET /d2l/api/lp/{version}/{orgUnitId}/sections/paged - Read
Retrieve the settings for all sections in an org unit
Retrieve the settings for all sections in an org unit.
GET /d2l/api/lp/{version}/{orgUnitId}/sections/settings - Read
Retrieve a section from a particular org unit
Retrieve a section from a particular org unit.
GET /d2l/api/lp/{version}/{orgUnitId}/sections/{sectionId} - Read
Retrieve a page of enrollments for the provided section
Retrieve a page of enrollments for the provided section.
GET /d2l/api/lp/{version}/{orgUnitId}/sections/{sectionId}/enrollments/ - Read
Retrieve a section from a particular org unit without enrollment data
Retrieve a section from a particular org unit without enrollment data.
GET /d2l/api/lp/{version}/{orgUnitId}/sections/{sectionId}/noenrollments - Read
Retrieve custom widget data for an org unit
Retrieve custom widget data for an org unit.
GET /d2l/api/lp/{version}/{orgUnitId}/widgetdata/{customWidgetId} - Read
Retrieve custom widget data for an org unit tied to the current user
Retrieve custom widget data for an org unit tied to the current user.
GET /d2l/api/lp/{version}/{orgUnitId}/widgetdata/{customWidgetId}/mydata - Read
Retrieve custom widget data for an org unit tied to a particular user
Retrieve custom widget data for an org unit tied to a particular user.
GET /d2l/api/lp/{version}/{orgUnitId}/widgetdata/{customWidgetId}/{userId} - Read
Retrieve the results for a query-based search across one or more repositories
Retrieve the results for a query-based search across one or more repositories.
GET /d2l/api/lr/{version}/objects/search/ - Read
Download a package containing the most recent version of a learning object from a local repository
Download a package containing the most recent version of a learning object from a local repository.
GET /d2l/api/lr/{version}/objects/{objectId}/download/ - Read
Download the file for the most recent version of an Asset-type learning object from a local repository
Download the file for the most recent version of an Asset-type learning object from a local repository.
GET /d2l/api/lr/{version}/objects/{objectId}/downloadfile/ - Read
Retrieve a URL that a client can use to view the most recent version of a learning object
Retrieve a URL that a client can use to view the most recent version of a learning object.
GET /d2l/api/lr/{version}/objects/{objectId}/link/ - Read
Retrieve the basic properties for the latest version of a learning object
Retrieve the basic properties for the latest version of a learning object.
GET /d2l/api/lr/{version}/objects/{objectId}/properties/ - Read
Download a package containing a particular version of a learning object from a local repository
Download a package containing a particular version of a learning object from a local repository.
GET /d2l/api/lr/{version}/objects/{objectId}/{objectVersion}/download/ - Read
Download the content file contained in a particular version of a file learning object from a local repository
Download the content file contained in a particular version of a file learning object from a local repository.
GET /d2l/api/lr/{version}/objects/{objectId}/{objectVersion}/downloadfile/ - Read
Retrieve a URL that a client can use to view a particular version of a learning object
Retrieve a URL that a client can use to view a particular version of a learning object.
GET /d2l/api/lr/{version}/objects/{objectId}/{objectVersion}/link/ - Read
Retrieve the metadata for a particular version of a learning object
Retrieve the metadata for a particular version of a learning object.
GET /d2l/api/lr/{version}/objects/{objectId}/{objectVersion}/metadata/ - Read
Retrieve the properties for a particular version of a learning object
Retrieve the properties for a particular version of a learning object.
GET /d2l/api/lr/{version}/objects/{objectId}/{objectVersion}/properties/ - Read
Retrieve all repositories with the Search trust permission
Retrieve all repositories with the Search trust permission.
GET /d2l/api/lr/{version}/repositories/all/ - Read
Retrieve a list of all repositories of a provided type, that have the provided trust permissions
Retrieve a list of all repositories of a provided type, that have the provided trust permissions.
GET /d2l/api/lr/{version}/repositories/{type}/ - Read
Retrieve a list of all the trust permissions tied to provided roles within provided org units
Retrieve a list of all the trust permissions tied to provided roles within provided org units.
GET /d2l/api/lr/{version}/repository/{repositoryId}/listorgUnittrusts/ - Read
Retrieve all supported versions for all product components
Retrieve all supported versions for all product components.
GET /d2l/api/versions/ - Read
Determine the versions supported by the back-end’s Brightspace API
Determine the versions supported by the back-end’s Brightspace API.
POST /d2l/api/versions/check - Read
Retrieve the collection of versions supported by a specific product component
Retrieve the collection of versions supported by a specific product component.
GET /d2l/api/{productCode}/versions/ - Read
Determine if a specific product component supports a particular API version
Determine if a specific product component supports a particular API version.
GET /d2l/api/{productCode}/versions/{version} - Write
Create a new award
Create a new award.
POST /d2l/api/bas/{version}/awards/ - Write
Update an award
Update an award.
PUT /d2l/api/bas/{version}/awards/{awardId} - Write
Share an issued award on the calling user’s profile
Share an issued award on the calling user’s profile.
PUT /d2l/api/bas/{version}/issued/{issuedId}/sharing/profile - Write
Add an icon to the library
Add an icon to the library.
POST /d2l/api/bas/{version}/library/icons/ - Write
Add a certificate template to the library
Add a certificate template to the library.
POST /d2l/api/bas/{version}/library/templates/ - Write
Associate an award with an org unit
Associate an award with an org unit.
POST /d2l/api/bas/{version}/orgunits/{orgUnitId}/associations/ - Write
Update an award association
Update an award association.
PUT /d2l/api/bas/{version}/orgunits/{orgUnitId}/associations/{associationId} - Write
Issue an award to a user
Issue an award to a user.
POST /d2l/api/bas/{version}/orgunits/{orgUnitId}/issued/ - Write
Update an issued award
Update an issued award.
PUT /d2l/api/bas/{version}/orgunits/{orgUnitId}/issued/{issuedId} - Write
Create relationships for given users
Create relationships for given users.
PUT /d2l/api/bfp/{version}/relationships/ - Write
Update an existing file artifact
Update an existing file artifact.
POST /d2l/api/eP/{version}/artifact/file/{objectId} - Write
Update an existing link artifact
Update an existing link artifact.
POST /d2l/api/eP/{version}/artifact/link/{objectId} - Write
Create a new file artifact by starting a new resumable upload or attaching an already uploaded file
Create a new file artifact by starting a new resumable upload or attaching an already uploaded file.
POST /d2l/api/eP/{version}/artifacts/file/new - Write
Create a new file artifact from a simple file upload
Create a new file artifact from a simple file upload.
POST /d2l/api/eP/{version}/artifacts/file/upload - Write
Create a new link artifact
Create a new link artifact.
POST /d2l/api/eP/{version}/artifacts/link/new - Write
Add an existing EP object to an EP collection
Add an existing EP object to an EP collection.
POST /d2l/api/eP/{version}/collection/{collectionId}/add/{objectId} - Write
Update an EP collection
Update an EP collection.
POST /d2l/api/eP/{version}/collection/{objectId} - Write
Create a new EP collection
Create a new EP collection.
POST /d2l/api/eP/{version}/collections/new - Write
Prepare to export an identified list of EP objects
Prepare to export an identified list of EP objects.
POST /d2l/api/eP/{version}/export/new - Write
Prepare to export all EP objects owned by the current user context
Prepare to export all EP objects owned by the current user context.
POST /d2l/api/eP/{version}/export/new/all - Write
Add a user to the calling user’s ignored-user list
Add a user to the calling user’s ignored-user list.
POST /d2l/api/eP/{version}/ignoredusers/add - Write
Prepare to import an export EP package into this service
Prepare to import an export EP package into this service.
POST /d2l/api/eP/{version}/import/new - Write
Prepare to import an export EP package into this service with immediate feedback on the request
Prepare to import an export EP package into this service with immediate feedback on the request.
POST /d2l/api/eP/{version}/import/newwithdetails - Write
Send an invite for a particular EP object
Send an invite for a particular EP object.
POST /d2l/api/eP/{version}/invites/new - Write
Sets the read status for a set of invites
Sets the read status for a set of invites.
POST /d2l/api/eP/{version}/invites/status - Write
Update an existing learning objective
Update an existing learning objective.
POST /d2l/api/eP/{version}/learningobjective/{objectiveId} - Write
Create an association between a learning objective and another EP object
Create an association between a learning objective and another EP object.
POST /d2l/api/eP/{version}/learningobjective/{objectiveId}/association/{objectId} - Write
Create a new comment on an EP object (identified by provided context chain of object IDs)
Create a new comment on an EP object (identified by provided context chain of object IDs).
POST /d2l/api/eP/{version}/object/comments/new - Write
Create a new comment on an EP object (identified by object ID)
Create a new comment on an EP object (identified by object ID).
POST /d2l/api/eP/{version}/object/{objectId}/comments/new - Write
Add one or more tags to an EP object
Add one or more tags to an EP object.
POST /d2l/api/eP/{version}/object/{objectId}/tags/add - Write
Add one or more tags to a set of EP objects
Add one or more tags to a set of EP objects.
POST /d2l/api/eP/{version}/objects/tags/add - Write
Update an existing presentation
Update an existing presentation.
POST /d2l/api/eP/{version}/presentation/{objectId} - Write
Create a new presentation
Create a new presentation.
POST /d2l/api/eP/{version}/presentations/new - Write
Update an existing reflection
Update an existing reflection.
POST /d2l/api/eP/{version}/reflection/{objectId} - Write
Associate a reflection with another EP object
Associate a reflection with another EP object.
POST /d2l/api/eP/{version}/reflection/{reflectionId}/on/{objectId} - Write
Create a new reflection
Create a new reflection.
POST /d2l/api/eP/{version}/reflections/new - Write
Add an EP object to the list of subscribed-to objects for the calling user context
Add an EP object to the list of subscribed-to objects for the calling user context.
POST /d2l/api/eP/{version}/subscriptions/objects/{objectId} - Write
Add a user to the list of subscribed-to users for the calling user context
Add a user to the list of subscribed-to users for the calling user context.
POST /d2l/api/eP/{version}/subscriptions/users/{userId} - Write
Find a list of tags that match a tag template you provide
Find a list of tags that match a tag template you provide.
POST /d2l/api/eP/{version}/tags/autocomplete - Write
Link a user to a Google Apps user account
Link a user to a Google Apps user account.
POST /d2l/api/gae/{version}/linkuser - Write
Build a new quicklink around an existing LTI Advantage link
Build a new quicklink around an existing LTI Advantage link.
POST /d2l/api/le/{apiVersion}/ltiadvantage/quicklinks/orgunit/{orgUnitId}/link/{linkId} - Write
Update a user’s accommodations in an org unit
Update a user’s accommodations in an org unit.
PUT /d2l/api/le/{version}/accommodations/ - Write
Add a user to the list of those an auditor is auditing
Add a user to the list of those an auditor is auditing.
POST /d2l/api/le/{version}/auditing/auditors/{auditorId}/auditees/ - Write
Update a CPD record
Update a CPD record.
PUT /d2l/api/le/{version}/cpd/record/{recordId} - Write
Initiate a resumable file upload request to upload attachments for a particular record
Initiate a resumable file upload request to upload attachments for a particular record.
POST /d2l/api/le/{version}/cpd/record/{recordId}/attachment/upload - Write
Add attachments to a CPD record
Add attachments to a CPD record.
POST /d2l/api/le/{version}/cpd/record/{recordId}/attachments - Write
Create a CPD record for a user
Create a CPD record for a user.
POST /d2l/api/le/{version}/cpd/user/{userId}/record - Write
Queue up a new course copy job request
Queue up a new course copy job request.
POST /d2l/api/le/{version}/import/{orgUnitId}/copy/ - Write
Create a new course import job request
Create a new course import job request.
POST /d2l/api/le/{version}/import/{orgUnitId}/imports/ - Write
Generate a signed URL for uploading a batch data file to IPSIS
Generate a signed URL for uploading a batch data file to IPSIS.
POST /d2l/api/le/{version}/ipsis/upload/{sourceSystemId}/signedurl - Write
Imports organization level outcome sets
Imports organization level outcome sets.
POST /d2l/api/le/{version}/lo/bulkImport - Write
Create a new achievement scale
Create a new achievement scale.
POST /d2l/api/le/{version}/lo/outcomeScales/ - Write
Update the name or achievement threshold of a particular achievement scale
Update the name or achievement threshold of a particular achievement scale.
PUT /d2l/api/le/{version}/lo/outcomeScales/{scaleId} - Write
Update the name or colour of a particular level of an achievement scale
Update the name or colour of a particular level of an achievement scale.
PUT /d2l/api/le/{version}/lo/outcomeScales/{scaleId}/{levelId} - Write
Create a new organization level outcome set
Create a new organization level outcome set.
POST /d2l/api/le/{version}/lo/outcomeSets/ - Write
Update a particular organization level outcome set
Update a particular organization level outcome set.
PUT /d2l/api/le/{version}/lo/outcomeSets/{outcomeSetId} - Write
Add a new file or folder to the current user’s locker
Add a new file or folder to the current user’s locker.
POST /d2l/api/le/{version}/locker/myLocker/{path} - Write
Rename a folder in the current user’s locker
Rename a folder in the current user’s locker.
PUT /d2l/api/le/{version}/locker/myLocker/{path} - Write
Add a new file or folder to the provided user’s locker
Add a new file or folder to the provided user’s locker.
POST /d2l/api/le/{version}/locker/user/{userId}/{path} - Write
Rename a folder in the provided user’s locker
Rename a folder in the provided user’s locker.
PUT /d2l/api/le/{version}/locker/user/{userId}/{path} - Write
Update the information associated with a registered LTI link
Update the information associated with a registered LTI link.
PUT /d2l/api/le/{version}/lti/link/{ltiLinkId} - Write
Register a new LTI link for an org unit
Register a new LTI link for an org unit.
POST /d2l/api/le/{version}/lti/link/{orgUnitId} - Write
Add a sharing rule for a particular LTI link
Add a sharing rule for a particular LTI link.
POST /d2l/api/le/{version}/lti/link/{orgUnitId}/{linkId}/sharing/ - Write
Update the sharing rule for a particular org unit and LTI link
[...]
